Index: Sections/TvCards.Designer.cs
===================================================================
--- Sections/TvCards.Designer.cs	(revision 28043)
+++ Sections/TvCards.Designer.cs	(working copy)
@@ -389,262 +389,262 @@
             this.colInit,
             this.colGrabEpg,
             this.colDevicePath});
-      this.mpListView1.ContextMenuStrip = this.contextMenuStrip2;
-      this.mpListView1.FullRowSelect = true;
-      this.mpListView1.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
-      this.mpListView1.HideSelection = false;
-      this.mpListView1.IsChannelListView = false;
-      this.mpListView1.LargeImageList = this.imageList1;
-      this.mpListView1.Location = new System.Drawing.Point(6, 85);
-      this.mpListView1.Name = "mpListView1";
-      this.mpListView1.Size = new System.Drawing.Size(440, 211);
-      this.mpListView1.SmallImageList = this.imageList1;
-      this.mpListView1.TabIndex = 0;
-      this.mpListView1.UseCompatibleStateImageBehavior = false;
-      this.mpListView1.View = System.Windows.Forms.View.Details;
-      this.mpListView1.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.mpListView1_ItemChecked);
-      this.mpListView1.SelectedIndexChanged += new System.EventHandler(this.mpListView1_SelectedIndexChanged);
-      // 
-      // colEnabled
-      // 
-      this.colEnabled.Text = "Enabled";
-      this.colEnabled.Width = 85;
-      // 
-      // colPriority
-      // 
-      this.colPriority.Text = "Priority";
-      this.colPriority.Width = 50;
-      // 
-      // colType
-      // 
-      this.colType.Text = "Type";
-      this.colType.Width = 50;
-      // 
-      // colCAM
-      // 
-      this.colCAM.Text = "CAM";
-      // 
-      // colCAMLimit
-      // 
-      this.colCAMLimit.Text = "CAM Limit";
-      this.colCAMLimit.Width = 65;
-      // 
-      // colId
-      // 
-      this.colId.Text = "Id";
-      // 
-      // colName
-      // 
-      this.colName.Text = "Name";
-      this.colName.Width = 130;
-      // 
-      // colInit
-      // 
-      this.colInit.Text = "Init";
-      this.colInit.Width = 50;
-      // 
-      // colGrabEpg
-      // 
-      this.colGrabEpg.Text = "Grab EPG";
-      // 
-      // buttonEdit
-      // 
-      this.buttonEdit.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
-      this.buttonEdit.Enabled = false;
-      this.buttonEdit.Location = new System.Drawing.Point(290, 336);
-      this.buttonEdit.Name = "buttonEdit";
-      this.buttonEdit.Size = new System.Drawing.Size(75, 23);
-      this.buttonEdit.TabIndex = 2;
-      this.buttonEdit.Text = "Edit";
-      this.buttonEdit.UseVisualStyleBackColor = true;
-      this.buttonEdit.Click += new System.EventHandler(this.buttonEdit_Click);
-      // 
-      // buttonUp
-      // 
-      this.buttonUp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.buttonUp.Location = new System.Drawing.Point(6, 336);
-      this.buttonUp.Name = "buttonUp";
-      this.buttonUp.Size = new System.Drawing.Size(75, 23);
-      this.buttonUp.TabIndex = 2;
-      this.buttonUp.Text = "Up";
-      this.buttonUp.UseVisualStyleBackColor = true;
-      this.buttonUp.Click += new System.EventHandler(this.buttonUp_Click);
-      // 
-      // buttonDown
-      // 
-      this.buttonDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.buttonDown.Location = new System.Drawing.Point(87, 336);
-      this.buttonDown.Name = "buttonDown";
-      this.buttonDown.Size = new System.Drawing.Size(75, 23);
-      this.buttonDown.TabIndex = 1;
-      this.buttonDown.Text = "Down";
-      this.buttonDown.UseVisualStyleBackColor = true;
-      this.buttonDown.Click += new System.EventHandler(this.buttonDown_Click);
-      // 
-      // tabPage3
-      // 
-      this.tabPage3.Controls.Add(this.label10);
-      this.tabPage3.Controls.Add(this.label5);
-      this.tabPage3.Controls.Add(this.groupBox2);
-      this.tabPage3.Location = new System.Drawing.Point(4, 22);
-      this.tabPage3.Name = "tabPage3";
-      this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage3.Size = new System.Drawing.Size(460, 384);
-      this.tabPage3.TabIndex = 2;
-      this.tabPage3.Text = "WinTV-CI";
-      this.tabPage3.UseVisualStyleBackColor = true;
-      // 
-      // label10
-      // 
-      this.label10.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label10.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label10.Location = new System.Drawing.Point(17, 311);
-      this.label10.Name = "label10";
-      this.label10.Size = new System.Drawing.Size(434, 18);
-      this.label10.TabIndex = 39;
-      this.label10.Text = "Note: Changes may require a TVServer service restart.";
-      // 
-      // label5
-      // 
-      this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label5.Location = new System.Drawing.Point(17, 343);
-      this.label5.Name = "label5";
-      this.label5.Size = new System.Drawing.Size(434, 18);
-      this.label5.TabIndex = 19;
-      this.label5.Text = "The MediaPortal team recommends driver version 1.3607.26137.0 or later.";
-      // 
-      // groupBox2
-      // 
-      this.groupBox2.Controls.Add(this.mpComboBoxCard);
-      this.groupBox2.Controls.Add(this.pictureBox1);
-      this.groupBox2.Controls.Add(this.label4);
-      this.groupBox2.Controls.Add(this.label6);
-      this.groupBox2.Controls.Add(this.mpLabel1);
-      this.groupBox2.Controls.Add(this.label2);
-      this.groupBox2.Controls.Add(this.label1);
-      this.groupBox2.Location = new System.Drawing.Point(6, 6);
-      this.groupBox2.Name = "groupBox2";
-      this.groupBox2.Size = new System.Drawing.Size(444, 291);
-      this.groupBox2.TabIndex = 0;
-      this.groupBox2.TabStop = false;
-      this.groupBox2.Text = "WinTV-CI card assignment";
-      // 
-      // mpComboBoxCard
-      // 
-      this.mpComboBoxCard.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.mpComboBoxCard.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-      this.mpComboBoxCard.FormattingEnabled = true;
-      this.mpComboBoxCard.Location = new System.Drawing.Point(98, 52);
-      this.mpComboBoxCard.Name = "mpComboBoxCard";
-      this.mpComboBoxCard.Size = new System.Drawing.Size(325, 21);
-      this.mpComboBoxCard.TabIndex = 16;
-      this.mpComboBoxCard.SelectedIndexChanged += new System.EventHandler(this.mpComboBoxCard_SelectedIndexChanged);
-      // 
-      // pictureBox1
-      // 
-      this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
-      this.pictureBox1.Location = new System.Drawing.Point(24, 52);
-      this.pictureBox1.Name = "pictureBox1";
-      this.pictureBox1.Size = new System.Drawing.Size(33, 23);
-      this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
-      this.pictureBox1.TabIndex = 18;
-      this.pictureBox1.TabStop = false;
-      // 
-      // label4
-      // 
-      this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label4.Location = new System.Drawing.Point(11, 31);
-      this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(412, 18);
-      this.label4.TabIndex = 8;
-      this.label4.Text = "Select Hauppauge DVB card for the CI module to work with:-";
-      // 
-      // label6
-      // 
-      this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label6.ForeColor = System.Drawing.Color.Red;
-      this.label6.Location = new System.Drawing.Point(11, 126);
-      this.label6.Name = "label6";
-      this.label6.Size = new System.Drawing.Size(412, 18);
-      this.label6.TabIndex = 20;
-      this.label6.Text = "DO NOT remove the USB device whilst TVServer is running.";
-      // 
-      // mpLabel1
-      // 
-      this.mpLabel1.AutoSize = true;
-      this.mpLabel1.Location = new System.Drawing.Point(63, 57);
-      this.mpLabel1.Name = "mpLabel1";
-      this.mpLabel1.Size = new System.Drawing.Size(32, 13);
-      this.mpLabel1.TabIndex = 17;
-      this.mpLabel1.Text = "Card:";
-      // 
-      // label2
-      // 
-      this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label2.ForeColor = System.Drawing.Color.Red;
-      this.label2.Location = new System.Drawing.Point(11, 108);
-      this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(412, 18);
-      this.label2.TabIndex = 6;
-      this.label2.Text = "This card MUST also only be from Hauppauge.";
-      // 
-      // label1
-      // 
-      this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.label1.ForeColor = System.Drawing.Color.Red;
-      this.label1.Location = new System.Drawing.Point(11, 92);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(412, 16);
-      this.label1.TabIndex = 5;
-      this.label1.Text = "Caution: The WinTV-CI should ONLY be used with 1x DVB card.";
-      // 
-      // tabControl1
-      // 
-      this.tabControl1.AccessibleName = "";
-      this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.tabControl1.Controls.Add(this.tabPage1);
-      this.tabControl1.Controls.Add(this.tabPage2);
-      this.tabControl1.Controls.Add(this.tabPage3);
-      this.tabControl1.Location = new System.Drawing.Point(3, 3);
-      this.tabControl1.Name = "tabControl1";
-      this.tabControl1.SelectedIndex = 0;
-      this.tabControl1.Size = new System.Drawing.Size(468, 410);
-      this.tabControl1.TabIndex = 3;
-      this.tabControl1.SelectedIndexChanged += new System.EventHandler(this.tabControl1_SelectedIndexChanged);
-      // 
-      // colDevicePath
-      // 
-      this.colDevicePath.Text = "Device Path";
-      // 
-      // TvCards
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.tabControl1);
-      this.Name = "TvCards";
-      this.Size = new System.Drawing.Size(474, 416);
-      this.contextMenuStrip2.ResumeLayout(false);
-      this.contextMenuStrip1.ResumeLayout(false);
-      this.tabPage2.ResumeLayout(false);
-      this.tabPage1.ResumeLayout(false);
-      this.tabPage1.PerformLayout();
-      this.grpIPTV.ResumeLayout(false);
-      this.grpIPTV.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.iptvUpDown)).EndInit();
-      this.tabPage3.ResumeLayout(false);
-      this.groupBox2.ResumeLayout(false);
-      this.groupBox2.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
-      this.tabControl1.ResumeLayout(false);
-      this.ResumeLayout(false);
+        this.mpListView1.ContextMenuStrip = this.contextMenuStrip2;
+        this.mpListView1.FullRowSelect = true;
+        this.mpListView1.HeaderStyle = System.Windows.Forms.ColumnHeaderStyle.Nonclickable;
+        this.mpListView1.HideSelection = false;
+        this.mpListView1.IsChannelListView = false;
+        this.mpListView1.LargeImageList = this.imageList1;
+        this.mpListView1.Location = new System.Drawing.Point(6, 85);
+        this.mpListView1.Name = "mpListView1";
+        this.mpListView1.Size = new System.Drawing.Size(440, 211);
+        this.mpListView1.SmallImageList = this.imageList1;
+        this.mpListView1.TabIndex = 0;
+        this.mpListView1.UseCompatibleStateImageBehavior = false;
+        this.mpListView1.View = System.Windows.Forms.View.Details;
+        this.mpListView1.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.mpListView1_ItemChecked);
+        this.mpListView1.SelectedIndexChanged += new System.EventHandler(this.mpListView1_SelectedIndexChanged);
+        // 
+        // colEnabled
+        // 
+        this.colEnabled.Text = "Enabled";
+        this.colEnabled.Width = 85;
+        // 
+        // colPriority
+        // 
+        this.colPriority.Text = "Priority";
+        this.colPriority.Width = 50;
+        // 
+        // colType
+        // 
+        this.colType.Text = "Type";
+        this.colType.Width = 50;
+        // 
+        // colCAM
+        // 
+        this.colCAM.Text = "CAM";
+        // 
+        // colCAMLimit
+        // 
+        this.colCAMLimit.Text = "CAM Limit";
+        this.colCAMLimit.Width = 65;
+        // 
+        // colId
+        // 
+        this.colId.Text = "Id";
+        // 
+        // colName
+        // 
+        this.colName.Text = "Name";
+        this.colName.Width = 130;
+        // 
+        // colInit
+        // 
+        this.colInit.Text = "Init";
+        this.colInit.Width = 50;
+        // 
+        // colGrabEpg
+        // 
+        this.colGrabEpg.Text = "Grab EPG";
+        // 
+        // colDevicePath
+        // 
+        this.colDevicePath.Text = "Device Path";
+        // 
+        // buttonEdit
+        // 
+        this.buttonEdit.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
+        this.buttonEdit.Enabled = false;
+        this.buttonEdit.Location = new System.Drawing.Point(290, 336);
+        this.buttonEdit.Name = "buttonEdit";
+        this.buttonEdit.Size = new System.Drawing.Size(75, 23);
+        this.buttonEdit.TabIndex = 2;
+        this.buttonEdit.Text = "Edit";
+        this.buttonEdit.UseVisualStyleBackColor = true;
+        this.buttonEdit.Click += new System.EventHandler(this.buttonEdit_Click);
+        // 
+        // buttonUp
+        // 
+        this.buttonUp.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.buttonUp.Location = new System.Drawing.Point(6, 336);
+        this.buttonUp.Name = "buttonUp";
+        this.buttonUp.Size = new System.Drawing.Size(75, 23);
+        this.buttonUp.TabIndex = 2;
+        this.buttonUp.Text = "Up";
+        this.buttonUp.UseVisualStyleBackColor = true;
+        this.buttonUp.Click += new System.EventHandler(this.buttonUp_Click);
+        // 
+        // buttonDown
+        // 
+        this.buttonDown.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.buttonDown.Location = new System.Drawing.Point(87, 336);
+        this.buttonDown.Name = "buttonDown";
+        this.buttonDown.Size = new System.Drawing.Size(75, 23);
+        this.buttonDown.TabIndex = 1;
+        this.buttonDown.Text = "Down";
+        this.buttonDown.UseVisualStyleBackColor = true;
+        this.buttonDown.Click += new System.EventHandler(this.buttonDown_Click);
+        // 
+        // tabPage3
+        // 
+        this.tabPage3.Controls.Add(this.label10);
+        this.tabPage3.Controls.Add(this.label5);
+        this.tabPage3.Controls.Add(this.groupBox2);
+        this.tabPage3.Location = new System.Drawing.Point(4, 22);
+        this.tabPage3.Name = "tabPage3";
+        this.tabPage3.Padding = new System.Windows.Forms.Padding(3);
+        this.tabPage3.Size = new System.Drawing.Size(460, 384);
+        this.tabPage3.TabIndex = 2;
+        this.tabPage3.Text = "WinTV-CI";
+        this.tabPage3.UseVisualStyleBackColor = true;
+        // 
+        // label10
+        // 
+        this.label10.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label10.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label10.Location = new System.Drawing.Point(17, 311);
+        this.label10.Name = "label10";
+        this.label10.Size = new System.Drawing.Size(434, 18);
+        this.label10.TabIndex = 39;
+        this.label10.Text = "Note: Changes may require a TVServer service restart.";
+        // 
+        // label5
+        // 
+        this.label5.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label5.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label5.Location = new System.Drawing.Point(17, 343);
+        this.label5.Name = "label5";
+        this.label5.Size = new System.Drawing.Size(434, 18);
+        this.label5.TabIndex = 19;
+        this.label5.Text = "The MediaPortal team recommends driver version 1.3607.26137.0 or later.";
+        // 
+        // groupBox2
+        // 
+        this.groupBox2.Controls.Add(this.mpComboBoxCard);
+        this.groupBox2.Controls.Add(this.pictureBox1);
+        this.groupBox2.Controls.Add(this.label4);
+        this.groupBox2.Controls.Add(this.label6);
+        this.groupBox2.Controls.Add(this.mpLabel1);
+        this.groupBox2.Controls.Add(this.label2);
+        this.groupBox2.Controls.Add(this.label1);
+        this.groupBox2.Location = new System.Drawing.Point(6, 6);
+        this.groupBox2.Name = "groupBox2";
+        this.groupBox2.Size = new System.Drawing.Size(444, 291);
+        this.groupBox2.TabIndex = 0;
+        this.groupBox2.TabStop = false;
+        this.groupBox2.Text = "WinTV-CI card assignment";
+        // 
+        // mpComboBoxCard
+        // 
+        this.mpComboBoxCard.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.mpComboBoxCard.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+        this.mpComboBoxCard.FormattingEnabled = true;
+        this.mpComboBoxCard.Location = new System.Drawing.Point(98, 52);
+        this.mpComboBoxCard.Name = "mpComboBoxCard";
+        this.mpComboBoxCard.Size = new System.Drawing.Size(325, 21);
+        this.mpComboBoxCard.TabIndex = 16;
+        this.mpComboBoxCard.SelectedIndexChanged += new System.EventHandler(this.mpComboBoxCard_SelectedIndexChanged);
+        // 
+        // pictureBox1
+        // 
+        this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
+        this.pictureBox1.Location = new System.Drawing.Point(24, 52);
+        this.pictureBox1.Name = "pictureBox1";
+        this.pictureBox1.Size = new System.Drawing.Size(33, 23);
+        this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
+        this.pictureBox1.TabIndex = 18;
+        this.pictureBox1.TabStop = false;
+        // 
+        // label4
+        // 
+        this.label4.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label4.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label4.Location = new System.Drawing.Point(11, 31);
+        this.label4.Name = "label4";
+        this.label4.Size = new System.Drawing.Size(412, 18);
+        this.label4.TabIndex = 8;
+        this.label4.Text = "Select Hauppauge DVB card for the CI module to work with:-";
+        // 
+        // label6
+        // 
+        this.label6.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label6.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label6.ForeColor = System.Drawing.Color.Red;
+        this.label6.Location = new System.Drawing.Point(11, 126);
+        this.label6.Name = "label6";
+        this.label6.Size = new System.Drawing.Size(412, 18);
+        this.label6.TabIndex = 20;
+        this.label6.Text = "DO NOT remove the USB device whilst TVServer is running.";
+        // 
+        // mpLabel1
+        // 
+        this.mpLabel1.AutoSize = true;
+        this.mpLabel1.Location = new System.Drawing.Point(63, 57);
+        this.mpLabel1.Name = "mpLabel1";
+        this.mpLabel1.Size = new System.Drawing.Size(32, 13);
+        this.mpLabel1.TabIndex = 17;
+        this.mpLabel1.Text = "Card:";
+        // 
+        // label2
+        // 
+        this.label2.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label2.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label2.ForeColor = System.Drawing.Color.Red;
+        this.label2.Location = new System.Drawing.Point(11, 108);
+        this.label2.Name = "label2";
+        this.label2.Size = new System.Drawing.Size(412, 18);
+        this.label2.TabIndex = 6;
+        this.label2.Text = "This card MUST also only be from Hauppauge.";
+        // 
+        // label1
+        // 
+        this.label1.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+        this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+        this.label1.ForeColor = System.Drawing.Color.Red;
+        this.label1.Location = new System.Drawing.Point(11, 92);
+        this.label1.Name = "label1";
+        this.label1.Size = new System.Drawing.Size(412, 16);
+        this.label1.TabIndex = 5;
+        this.label1.Text = "Caution: The WinTV-CI should ONLY be used with 1x DVB card.";
+        // 
+        // tabControl1
+        // 
+        this.tabControl1.AccessibleName = "";
+        this.tabControl1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                    | System.Windows.Forms.AnchorStyles.Left)
+                    | System.Windows.Forms.AnchorStyles.Right)));
+        this.tabControl1.Controls.Add(this.tabPage1);
+        this.tabControl1.Controls.Add(this.tabPage2);
+        this.tabControl1.Controls.Add(this.tabPage3);
+        this.tabControl1.Location = new System.Drawing.Point(3, 3);
+        this.tabControl1.Name = "tabControl1";
+        this.tabControl1.SelectedIndex = 0;
+        this.tabControl1.Size = new System.Drawing.Size(468, 410);
+        this.tabControl1.TabIndex = 3;
+        this.tabControl1.SelectedIndexChanged += new System.EventHandler(this.tabControl1_SelectedIndexChanged);
+        // 
+        // TvCards
+        // 
+        this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+        this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+        this.Controls.Add(this.tabControl1);
+        this.Name = "TvCards";
+        this.Size = new System.Drawing.Size(474, 416);
+        this.contextMenuStrip2.ResumeLayout(false);
+        this.contextMenuStrip1.ResumeLayout(false);
+        this.tabPage2.ResumeLayout(false);
+        this.tabPage1.ResumeLayout(false);
+        this.tabPage1.PerformLayout();
+        this.grpIPTV.ResumeLayout(false);
+        this.grpIPTV.PerformLayout();
+        ((System.ComponentModel.ISupportInitialize)(this.iptvUpDown)).EndInit();
+        this.tabPage3.ResumeLayout(false);
+        this.groupBox2.ResumeLayout(false);
+        this.groupBox2.PerformLayout();
+        ((System.ComponentModel.ISupportInitialize)(this.pictureBox1)).EndInit();
+        this.tabControl1.ResumeLayout(false);
+        this.ResumeLayout(false);
 
     }
     #endregion
Index: SettingsForm.cs
===================================================================
--- SettingsForm.cs	(revision 28043)
+++ SettingsForm.cs	(working copy)
@@ -52,6 +52,7 @@
     public SetupTvSettingsForm(bool ShowAdvancedSettings)
     {
       showAdvancedSettings = ShowAdvancedSettings;
+      InitializeComponent();
       try
       {
         Init();
@@ -733,19 +734,21 @@
 
     private new void InitializeComponent()
     {
-      this.SuspendLayout();
-      // 
-      // sectionTree
-      // 
-      this.sectionTree.LineColor = System.Drawing.Color.Black;
-      // 
-      // SetupTvSettingsForm
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.ClientSize = new System.Drawing.Size(716, 537);
-      this.Name = "SetupTvSettingsForm";
-      this.ResumeLayout(false);
-      this.PerformLayout();
+        this.SuspendLayout();
+        // 
+        // sectionTree
+        // 
+        this.sectionTree.LineColor = System.Drawing.Color.Black;
+        // 
+        // SetupTvSettingsForm
+        // 
+        this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+        this.ClientSize = new System.Drawing.Size(716, 537);
+        this.MinimumSize = new System.Drawing.Size(724, 571);
+        this.Name = "SetupTvSettingsForm";
+        this.ResumeLayout(false);
+        this.PerformLayout();
+
     }
 
     #endregion
